[@bigcommerce/checkout-sdk](../README.md) / PayPalCommerceAnalyticTrackerService

# Interface: PayPalCommerceAnalyticTrackerService

## Table of contents

### Methods

- [customerPaymentMethodExecuted](PayPalCommerceAnalyticTrackerService.md#customerpaymentmethodexecuted)
- [paymentComplete](PayPalCommerceAnalyticTrackerService.md#paymentcomplete)
- [selectedPaymentMethod](PayPalCommerceAnalyticTrackerService.md#selectedpaymentmethod)
- [walletButtonClick](PayPalCommerceAnalyticTrackerService.md#walletbuttonclick)

## Methods

### customerPaymentMethodExecuted

▸ **customerPaymentMethodExecuted**(): `void`

#### Returns

`void`

___

### paymentComplete

▸ **paymentComplete**(): `void`

#### Returns

`void`

___

### selectedPaymentMethod

▸ **selectedPaymentMethod**(`methodId`): `void`

#### Parameters

| Name | Type |
| :------ | :------ |
| `methodId` | `string` |

#### Returns

`void`

___

### walletButtonClick

▸ **walletButtonClick**(`methodId`): `void`

#### Parameters

| Name | Type |
| :------ | :------ |
| `methodId` | `string` |

#### Returns

`void`
